//@import "variables.scss";
//@import "mixins.scss";

.theme {
  &-text-light {
    color: #fff;

    .label,
    .title {
      color: inherit;
    }
  }

  &-text-dark {
    color: $text-color;

    .label,
    .title {
      color: inherit;
    }
  }

  &-text-core {
  }

  &-white {
    background-color: #fff;
  }

  &-warm-grey {
    background-color: $color-bg-warmGrey;
  }

  &-cool-grey {
    background-color: $color-bg-coolGrey;
  }

  &-mint {
    @include gradient-horizontal($gradient-mint-start, $gradient-mint-end);
  }

  &-dusty-mint {
    @include gradient-horizontal(
      $gradient-dusty-mint-start,
      $gradient-dusty-mint-end
    );
  }

  &-pistachio {
    @include gradient-horizontal(
      $gradient-pistachio-start,
      $gradient-pistachio-end
    );
  }

  &-dusty-pistachio {
    @include gradient-horizontal(
      $gradient-dusty-pistachio-start,
      $gradient-dusty-pistachio-end
    );
  }

  &-apricot {
    @include gradient-horizontal(
      $gradient-apricot-start,
      $gradient-apricot-end
    );
  }

  &-light-apricot {
    @include gradient-horizontal(
      $gradient-light-apricot-start,
      $gradient-light-apricot-end
    );
  }

  &-light-meadow {
    @include gradient-horizontal(
      $gradient-light-meadow-start,
      $gradient-light-meadow-end
    );
  }

  &-light-bluebell {
    @include gradient-horizontal(
      $gradient-light-bluebell-start,
      $gradient-light-bluebell-end
    );
  }

  &-strawberry {
    @include gradient-horizontal(
      $gradient-strawberry-start,
      $gradient-strawberry-end
    );
  }

  &-blackcurrant {
    @include gradient-horizontal(
      $gradient-blackcurrant-start,
      $gradient-blackcurrant-end
    );
  }

  &-teal {
    @include gradient-horizontal($gradient-teal-start, $gradient-teal-end);
  }

  &-clover {
    @include gradient-horizontal($gradient-clover-start, $gradient-clover-end);
  }

  &-teal,
  &-strawberry,
  &-blackcurrant,
  &-clover {
    .contrast {
      color: #fff;

      a {
        color: #fff;
      }
    }
    &.theme-text-contrast {
      color: #fff;
      a,
      blockquote {
        color: #fff;
      }
    }
  }

  &-text-white {
    color: #fff;
    a,
    blockquote {
      color: #fff;
    }
  }
  &-text-green {
    color: $color-accessibleGreen;
    blockquote {
      color: $color-accessibleGreen;
    }
  }
  &-text-blue {
    color: $color-heading;
    blockquote {
      color: $color-heading;
    }
  }
  &-text-black {
    color: $text-color;
    blockquote {
      color: $text-color;
    }
  }
}
